Subject: Re: [PATCH net-next 5/5] igc: Export LEDs

From: Andrew Lunn <[email-masked]>
Date: Tue, 27 Jul 2021 18:23:45 +0200

> But I was actually referring to your "you see the leds in /sys/ of all
> the network adapters". That problem still persists, right?

It is not really a problem. You see all the PHYs in /sys. You see all
the PCI devices in /sys. Because these all have globally unique names,
it is not a problem.

What is not globally unique is interface names. Those are only unique
to a network name space. And /sys/class/net is network name space
aware. It only contains the interfaces in the current network name
space.

	Andrew